Bug 1732183 - Custom command 'toolbox enter' in profile is launching in other profiles
Summary: Custom command 'toolbox enter' in profile is launching in other profiles
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 23:44 UTC by tockar
Modified: 2021-04-26 15:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:00:52 UTC
Type: Bug


Attachments (Terms of Use)

Description tockar 2019-07-22 23:44:59 UTC
Description of problem:
When two or more profiles in gnome-terminal are set, if the profile with the custom command to run at profile launch is set to "toolbox enter", this command (toolbox enter) is run in every other profile configured, at launch, no matter if those profiles have set custom command, or not. Tested in Fedora Silverblue 30.

Version-Release number of selected component (if applicable):
3.32.2

How reproducible:
Every time, on my PC.

Steps to Reproduce:
1. Install toolbox from Fedora's repository if not installed.
2. Create a toolbox's container with the command 'toolbox create'. 
3. In gnome-terminal, create a profile with command 'toolbox enter' set to run when the profile is loaded.
4. Launch other profile(s).

Actual results:
When the profile with 'toolbox enter' command to run at the start, is launched, every other profile will run with the 'toolbox create' at the profile start.

Expected results:
Every profile should be loaded with its own custom command (or none, if none is set) configured, every time it is loaded.

Additional info:
I couldn't replicate this bug with any other non-toolbox command.
It also applies to 'toolbox enter -c <container_name>'. 
When the bug is active, trying to launch another profile with the command "toolbox enter -c <other_container>" does not change anything, gnome-terminal always passes first launched profile with "toolbox enter" command to other profiles.

Comment 1 Debarshi Ray 2019-09-09 11:38:40 UTC
Yes, on Fedora, if you are inside a toolbox container, gnome-terminal tries to preserve the environment just as it would preserve the current working directory. The motivation was to avoid requiring users to type 'toolbox enter' for each new terminal on Silverblue, because if you are inside a Toolbox, you'll likely want to keep using it for future terminals.

There are some bits and pieces missing to complete the desired experience so I can imagine various ways in which this might be troubling people.

Could you please give a high-level description of what your workflow? Is it that you just want to get to a host shell for some terminals? Or is it that you have different toolbox containers and you want to use a different one for each terminal?

Comment 2 Ben Cotton 2020-04-30 21:10:23 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 17:00:52 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.